<nz-table [nzData]="data" [nzShowPagination]="false">
  <thead>
    <tr>
      <th scope="col">{{'partnership.pns-contract.configTemplate.stt' | translate}}</th>
      <th scope="col">{{'partnership.pns-contract.configTemplate.code' | translate}}</th>
      <th scope="col">{{'partnership.pns-contract.configTemplate.description' | translate}}</th>
      <th scope="col">{{'partnership.pns-contract.configTemplate.defaultValue' | translate}}</th>
      <th scope="col">{{'partnership.pns-contract.configTemplate.action' | translate}}</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let form of formArray.controls; let rowIndex=index">

      <td>{{ rowIndex + 1 }}</td>
      <td>
        <mb-input-text [mbDisable]="form.value.state==='view'" [mbShowFlexEnd]="false" [formControl]="form['controls'].code"></mb-input-text>
      </td>
      <td>
        <mb-input-text [mbDisable]="form.value.state==='view'" [mbShowFlexEnd]="false" [formControl]="form['controls'].name"></mb-input-text>
      </td>
      <td>
        <mb-input-text [mbDisable]="form.value.state==='view'" [mbShowFlexEnd]="false" [formControl]="form['controls'].defaultValue"></mb-input-text>
      </td>
      <td>
        <mb-button *ngIf="form.value.state==='edit'" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-check-circle" (click)="save(form)"></mb-button>
        <mb-button *ngIf="form.value.state==='edit'" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-undo-alt" (click)="undo(form)"></mb-button>
        <mb-button *ngIf="form.value.state==='view'" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt" (click)="edit(form)"></mb-button>
        <mb-button *ngIf="form.value.state==='view'" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
          nzPopconfirmTitle="{{'partnership.table.action.confirmDelete' | translate}}"
          nzCancelText="{{'partnership.table.action.cancel' | translate}}" nzOkType="primary"
          nzOkText="{{'partnership.table.action.yes' | translate}}" nzPopconfirmPlacement="top"
          (nzOnConfirm)="doDelete(form, rowIndex)"
          mbPrefixIcon="fal fa-trash-alt"></mb-button>
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-plus-circle" (click)="addRow()"></mb-button>
      </td>
    </tr>
  </tbody>
</nz-table>
